Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: clipgrab 3.2.0.10 on opensuse 12.2 - how to upgrade

  1. #1

    Default clipgrab 3.2.0.10 on opensuse 12.2 - how to upgrade

    hi there dear linux-freaks


    well i run clipgrab 3.2.0.10 on opensuse 12.2

    all went nice for months - untill today:

    today while launching the clipgrab i got the message

    could not grab the title


    question how can i update the clipgrab on the system
    with

    yast or the use of the terminal!?

    look forward to hear from you
    greetings
    dilbert ;-)
    Wordpress-development - a Toolset: wpgear.org

  2. #2
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: clipgrab 3.2.0.10 on opensuse 12.2 - how to upgrade

    Quote Originally Posted by dilbertone View Post
    hi there dear linux-freaks


    well i run clipgrab 3.2.0.10 on opensuse 12.2

    all went nice for months - untill today:

    today while launching the clipgrab i got the message

    could not grab the title


    question how can i update the clipgrab on the system
    with

    yast or the use of the terminal!?

    look forward to hear from you
    greetings
    So You can download and run the latest version from their website here: http://clipgrab.de/download/clipgrab-3.2.0.11.bz2, but the posted version there is 32 bit and to get it to run I had to install libQtWebKit4-32bit which installed more than two dozen other 32 bit files. Basically the procedure would be to download the file and extract the file clipgrab-3.2.0.11. You must mark it executable, rename it clipgrab and then over write the original file /use/bin/clipgrab as root. You must open YaST, search for libQtWebKit4-32bit and install the 32 bit files from YaST. It should then run as normal. clipgrab is being supplied by Packman and so a word to them that the package needs an upgrade might help others here as the old one no longer is working.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  3. #3

    Default Re: clipgrab 3.2.0.10 on opensuse 12.2 - how to upgrade

    hello dear James

    many many thanks for the answer.

    Quote Originally Posted by jdmcdaniel3 View Post
    So You can download and run the latest version from their website here: http://clipgrab.de/download/clipgrab-3.2.0.11.bz2, but the posted version there is 32 bit and to get it to run I had to install libQtWebKit4-32bit which installed more than two dozen other 32 bit files. Basically the procedure would be to download the file and extract the file clipgrab-3.2.0.11. You must mark it executable, rename it clipgrab and then over write the original file /use/bin/clipgrab as root. You must open YaST, search for libQtWebKit4-32bit and install the 32 bit files from YaST. It should then run as normal. clipgrab is being supplied by Packman and so a word to them that the package needs an upgrade might help others here as the old one no longer is working.

    Thank You,

    well is there no more elegant or let me say nicer way to upgrade & update the clipgrab

    ain ´t there no way to do it straigthforward with - let me say terminal or so°!?
    dilbert ;-)
    Wordpress-development - a Toolset: wpgear.org

  4. #4
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: clipgrab 3.2.0.10 on opensuse 12.2 - how to upgrade

    Quote Originally Posted by dilbertone View Post
    hello dear James

    many many thanks for the answer.




    well is there no more elegant or let me say nicer way to upgrade & update the clipgrab

    ain ´t there no way to do it straigthforward with - let me say terminal or so°!?
    No, but I wrote one for you. So, for those unable or unwilling to handle this task, I have written a bash script to do this for you. Open up a terminal session, copy the text from the code field below and paste it into a terminal session and press enter.


    Code:
    rm ~/bin/get_clipgrab ; wget -nc http://paste.opensuse.org/view/download/22042693 -O ~/bin/get_clipgrab ; chmod +x ~/bin/get_clipgrab ; get_clipgrab
    You will be asked several questions and based on your response, all or part of clipgrab, including many 32 bit files, will be installed for you. Until such time as Packman updates their version, this is the best fix I can provide for you.

    Enjoy ....
    Last edited by jdmcdaniel3; 13-Apr-2013 at 09:03.
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  5. #5

    Default Re: clipgrab 3.2.0.10 on opensuse 12.2 - how to upgrade

    Hello der James

    many many thanks for you crative & supportive help. This is really overwhelming!


    Quote Originally Posted by jdmcdaniel3 View Post
    No, but I wrote one for you. So, for those unable or unwilling to handle this task, I have written a bash script to do this for you. Open up a terminal session, copy the text from the code field below and paste it into a terminal session and press enter.


    Code:
    rm ~/bin/get_clipgrab ; wget -nc http://paste.opensuse.org/view/download/22042693 -O ~/bin/get_clipgrab ; chmod +x ~/bin/get_clipgrab ; get_clipgrab
    You will be asked several questions and based on your response, all or part of clipgrab, including many 32 bit files, will be installed for you. Until such time as Packman updates their version, this is the best fix I can provide for you.

    Enjoy ....
    i do as you adviced me.

    mille grazie.
    dilbert ;-)
    Wordpress-development - a Toolset: wpgear.org

  6. #6
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: clipgrab 3.2.0.10 on opensuse 12.2 - how to upgrade

    Quote Originally Posted by dilbertone View Post
    Hello der James

    many many thanks for you crative & supportive help. This is really overwhelming!




    i do as you adviced me.

    mille grazie.
    I was happy to help and the clipgrab application is a good one to have working. Its the details that kills you and its hard to write an all encompassing bash script that works for all users and does not mess up something. With the procedure working, I can adapt it to do some other bidding I presume. The basic problem with it is, it will not adjust to future version changes and very likely it will be obsolete in the near future because Packman will update their repository with the newer version.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  7. #7

    Default Re: clipgrab 3.2.0.10 on opensuse 12.2 - how to upgrade

    hello dear James

    unfortunatly i run into some troubles....

    Quote Originally Posted by jdmcdaniel3 View Post
    I was happy to help and the clipgrab application is a good one to have working. Its the details that kills you and its hard to write an all encompassing bash script that works for all users and does not mess up something. With the procedure working, I can adapt it to do some other bidding I presume. The basic problem with it is, it will not adjust to future version changes and very likely it will be obsolete in the near future because Packman will update their repository with the newer version.

    Thank You,

    well - what happened here: see the following ....:


    PHP Code:

    Do you have clipgrab installed already [y/n] (y)?y

    Are you ready to install the 32 bit clipgrab from their web site 
    [y/n] (n)?y
    root
    's password:
    Data of Repositories loading ...
    reading the installed packets  ...
    Paket '
    libQtWebKit4-32bit' not found.
    resolving dependencies  ...

    nothing more to do 
    rm: remove the  „/home/martin/Downloads/clipgrab-3.2.0.11.bz2“ is not possible : file or folder could not be found 
    /home/martin/Downloads/clipgrab-3.2.0.11.bz2: file or folder could not be found 
    bzip2: Can'
    t open input file /home/martin/Downloads/clipgrab-3.2.0.11.bz2No such file or directory.
    mvcall impossible  „/home/martin/Downloads/clipgrab-3.2.0.11“ file or folder could not be found 

    Your selections are now complete 
    ...
    To run type inAlt-F2 /usr/bin/clipgrab and wait for the GUI to load and run.

    martin@linux-wyee:~> 
    hmmm - seems that i have been stuck...!?` What can we do now!?

    look forward to hear from you
    dilbert ;-)
    Wordpress-development - a Toolset: wpgear.org

  8. #8
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: clipgrab 3.2.0.10 on opensuse 12.2 - how to upgrade

    Quote Originally Posted by dilbertone View Post
    hello dear James

    unfortunatly i run into some troubles....




    well - what happened here: see the following ....:


    PHP Code:

    Do you have clipgrab installed already [y/n] (y)?y

    Are you ready to install the 32 bit clipgrab from their web site 
    [y/n] (n)?y
    root
    's password:
    Data of Repositories loading ...
    reading the installed packets  ...
    Paket '
    libQtWebKit4-32bit' not found.
    resolving dependencies  ...

    nothing more to do 
    rm: remove the  „/home/martin/Downloads/clipgrab-3.2.0.11.bz2“ is not possible : file or folder could not be found 
    /home/martin/Downloads/clipgrab-3.2.0.11.bz2: file or folder could not be found 
    bzip2: Can'
    t open input file /home/martin/Downloads/clipgrab-3.2.0.11.bz2No such file or directory.
    mvcall impossible  „/home/martin/Downloads/clipgrab-3.2.0.11“ file or folder could not be found 

    Your selections are now complete 
    ...
    To run type inAlt-F2 /usr/bin/clipgrab and wait for the GUI to load and run.

    martin@linux-wyee:~> 
    hmmm - seems that i have been stuck...!?` What can we do now!?

    look forward to hear from you
    So I do have openSUSE 12.3 installed, not 12.2 and I tested it on three computers and it did work just fine. I also see that Clipgrab has been updated to the correct version in Packman for openSUSE 12.3, but I am not sure about 12.2, but you might look and see if you can just update from there.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  9. #9

    Default Re: clipgrab 3.2.0.10 on opensuse 12.2 - how to upgrade

    hi James

    i run 12.2 - and i still got stuck with the update of clipgrab

    but - i wanted to update to 12.3 anyway

    perhaps it is a good thing to do this step first.


    i wiil do this within the next few days and then i come baack and report all my findings

    greetings
    dilbert ;-)
    Wordpress-development - a Toolset: wpgear.org

  10. #10
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: clipgrab 3.2.0.10 on opensuse 12.2 - how to upgrade

    Quote Originally Posted by dilbertone View Post
    hi James

    i run 12.2 - and i still got stuck with the update of clipgrab

    but - i wanted to update to 12.3 anyway

    perhaps it is a good thing to do this step first.


    i wiil do this within the next few days and then i come baack and report all my findings

    greetings
    OK, make sure to read this page before you proceed: https://en.opensuse.org/SDB:System_upgrade and good luck.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •